---
title: USBConfiguration.configurationName
slug: Web/API/USBConfiguration/configurationName
tags:
  - API
  - Property
  - Reference
  - USB
  - USBConfiguration
  - WebUSB
  - WebUSB API
  - configurationName
---
<div>{{draft}}{{securecontext_header}}{{APIRef("")}}</div>

<p class="summary">The <strong><code>configurationName</code></strong> read-only property of the {{domxref("USBConfiguration")}} interface returns the name provided by the device to describe this configuration. This is equal to the value of the string descriptor with the index provided in the <a href="https://www.beyondlogic.org/usbnutshell/usb5.shtml#ConfigurationDescriptors"><code>iConfiguration</code></a> field of the configuration descriptor defining this configuration.</p>

<h2 class="summary" id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">  var <var>name</var> = USBConfiguration.configurationName</pre>

<h3 id="Value">Value</h3>

<p>The name provided by the device to describe this configuration. </p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('','null','configurationName')}}</td>
   <td>{{Spec2('')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBConfiguration.configurationName")}}</p>
